=== debian/changelog ===
libsoptions-java (0.0~svn141-2) unstable; urgency=medium

  * No-changes source upload.

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Oct 2020 00:48:26 -0400

libsoptions-java (0.0~svn141-1) unstable; urgency=medium

  * Initial release (Closes: #969407)

 -- Andrius Merkys <merkys@debian.org>  Wed, 02 Sep 2020 03:52:43 -0400
