=== debian/control ===
Source: libsoptions-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/java-team/libsoptions-java
Vcs-Git: https://salsa.debian.org/java-team/libsoptions-java.git
Rules-Requires-Root: no

Package: libsoptions-java
Architecture: all
Depends:
 ${misc:Depends},
Description: command line option handler for Java applications
 SOptions is a Java library for handling of command line options, intended to
 be used by Java command line applications.
