=== debian/watch ===
version=4
opts="mode=svn,pgpmode=none" \
 svn://saulius-grazulis.lt/libraries/trunk/java/SOptions \
 HEAD
